#ifndef CURRENTCONDITIONSDISPLAY_H_
#define CURRENTCONDITIONSDISPLAY_H_

#include <iostream>

#include "DisplayElement.h"
#include "Observer.h"
#include "Subject.h"
#include "WeatherData.h"

using namespace std;

class CurrentConditionsDisplay : public Observer, DisplayElement
{
private:
    float temperature;
    float humidity;

    Subject *subject;

public:
    CurrentConditionsDisplay(Subject *sub)
        : temperature(0), humidity(0), subject(sub)
    {
        subject->register_observer(this);
    }

    virtual ~CurrentConditionsDisplay() {}

    void update(float temp, float hum, float pres)
    {
        temperature = temp;
        humidity = hum;

        display();
    }

    void display()
    {
        cout << "Current conditions: " << temperature
             << "F degrees and " << humidity << "% humidity" << endl;
    }
};

#endif /* CURRENTCONDITIONSDISPLAY_H_ */
