#include <vector>
#include <iostream>
#include "WeatherData.h"

void WeatherData::register_observer(Observer *o)
{
    observers.push_back(o);
}

void WeatherData::remove_observer(Observer *o)
{
    vector<Observer *>::iterator it;

    it = find(observers.begin(), observers.end(), o);
    if (it != observers.end()) observers.erase(it);
}

void WeatherData::notify_observers()
{
    for (Observer *o : observers)
    {
        o->update(temperature, humidity, pressure);
    }
}

void WeatherData::set_measurements(float temp, float hum, float pres)
{
    temperature = temp;
    humidity = hum;
    pressure = pres;

    cout << endl;
    cout << "NEW WEATHER DATA: temperature " << temp
         << ", humidity " << hum << ", pressure " << pres << endl;
    cout << endl;

    measurements_changed();
}

void WeatherData::measurements_changed()
{
    notify_observers();
}
