#ifndef WEATHERDATA_H_
#define WEATHERDATA_H_

#include "Observer.h"
#include "Subject.h"

#include <vector>

using namespace std;

class WeatherData : public Subject
{
private:
    vector<Observer *> observers;

    float temperature;
    float humidity;
    float pressure;

    void measurements_changed();

public:
    float get_temperature() const { return temperature; }
    float get_humidity()    const { return humidity; }
    float get_pressure()    const { return pressure; }

    void register_observer(Observer *o);
    void remove_observer(Observer *o);
    void notify_observers();

    void set_measurements(float temp, float hum, float pres);
};

#endif /* WEATHERDATA_H_ */
