#include "WeatherData.h"
#include "CurrentConditionsDisplay.h"
#include "StatisticsDisplay.h"
#include "ForecastDisplay.h"

int main()
{
    WeatherData *weatherData = new WeatherData();

    // Create display objects which will register them
    // with the WeatherData object.
    new CurrentConditionsDisplay(weatherData);
    new StatisticsDisplay(weatherData);
    new ForecastDisplay(weatherData);

    // Simulate changes in weather measurements.
    weatherData->set_measurements(80, 65, 30.4f);
    weatherData->set_measurements(82, 70, 29.2f);
    weatherData->set_measurements(78, 90, 29.2f);

    return 0;
}
